### Class

# Foundry CliCommandTreeAddin

since: 1.1

#### Description [src]

    abstract class Foundry.CliCommandTreeAddin : GObject.Object
    {
      /* No available fields */
    }

Addin interface for extending the CLI command tree.

Available since: 1.1

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCliCommandTreeAddinClass {
      GObjectClass parent_class;
      DexFuture* (* load) (
        FoundryCliCommandTreeAddin* self,
        FoundryCliCommandTree* tree
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`load: DexFuture* (* load) ( FoundryCliCommandTreeAddin* self, FoundryCliCommandTree* tree )`

  No description available.

#### Virtual methods

###### Foundry.CliCommandTreeAddinClass.load

No description available.